Bug 1303534 - [GSS](6.2.z) BxMS6.2.0 Full Text search returns only 10 results even if it hits more than 10
[GSS](6.2.z) BxMS6.2.0 Full Text search returns only 10 results even if it hi...
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
urgent Severity unspecified
: CR2
: 6.2.2
Assigned To: manstis
Jan Hrcek
Depends On:
Blocks: 1310893 1309326 1309327
  Show dependency treegraph
Reported: 2016-02-01 03:33 EST by Hiroko Miura
Modified: 2016-03-21 07:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1310893 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot showing issue still present (106.51 KB, image/png)
2016-03-07 02:34 EST, Jan Hrcek
no flags Details

  None (edit)
Description Hiroko Miura 2016-02-01 03:33:33 EST
Description of problem:
Full text search returns only 10 results even if it hits more than 10.

Version-Release number of selected component (if applicable):

How reproducible:
search assets with some text which matches more than 10 asset's file name by Full Text search (upper right corner field with Magnifying glass icon)

Steps to Reproduce:
1. create more than 10 Guided Rules like (test00.rdrl,test01.rdrl... test10.rdrl)
2. perform full text search by input text "test*"

Actual results:
It returns only 10 results.

Expected results:
It returns 11 results (with active next page icon.)

Additional info:
Comment 7 Jan Hrcek 2016-03-07 02:33:20 EST
Checked with 6.2.2 patch.
Unfortunately this bug is still present.
@manstis I double checked with a decompiler, that the changes in the SearchServiceImpl are present in the patch, yet the problem is still present = Still only showing 10 search results, clicking pager next button does nothing. Attaching screenshot to make sure that I'm not doing something else than was reported.
Comment 8 Jan Hrcek 2016-03-07 02:34 EST
Created attachment 1133641 [details]
Screenshot showing issue still present
Comment 9 manstis 2016-03-07 04:39:42 EST
@Jan.. OK :( -- I'll take a look immediately.
Comment 13 Jan Hrcek 2016-03-21 07:55:48 EDT
Now it's working fine, returning all the results if there are more than 10 and the results can be browser using pager. Verified with BPM Suite 6.2.2 CR2.

Note You need to log in before you can comment on or make changes to this bug.